<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description página en la que se muestran las comisiones existentes para que el usuario escoja a cuál
            de ellas adiciona los trámites, o, se le da la opción de crear una nueva
@version 2.0
@cu CU-CO-A-04

En esta tabla solo se admite selección single porque se escoge una comisión para ver el datalle o para
asignarle un nuevo trámite.

N: recuerde que es suficiente con actualizar el elemento más externo de una modal (ej: aquí el botón de ver detalle
   comisión actualiza el form de esa página) para actualizar los componentes incluidos en ella
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="comisionesPGrid" width="100%">

    <h:form prependId="false">

        <p:spacer height="20" width="0" />
        <p:panel>
            <p:dataTable id="resultsCGMModal"
                         value="#{manejoComisionesTramites.lazyComisionesPorGenerarMemo}"
                         var="currentComision"
                         rowKey="#{currentComision.id}"
                         paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                         {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom"
                         rowsPerPageTemplate="10,20,30"
                         selectionMode="single"
                         selection="#{manejoComisionesTramites.selectedComisionTramite}"
                         emptyMessage="No se encontraron comisiones" widgetVar="resultsCGMModalWV">

                <p:ajax event="rowSelect"
                        listener="#{manejoComisionesTramites.onComisionSelectListener}" />

                <f:facet name="header">
                    Comisiones existentes
                </f:facet>

                <p:column headerText="Número">
                    <h:outputText value="#{currentComision.numero}" styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Municipio (depto)">
                    <h:outputText value="#{currentComision.municipio}" 
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Ejecutor">
                    <h:outputText value="#{currentComision.nombreFuncionarioEjecutor}"
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Conductor">
                    <h:outputText value="#{currentComision.conductor}"
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Vehículo">
                    <h:outputText value="#{currentComision.placaVehiculo}"
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Fecha">
                    <h:outputText value="#{currentComision.fechaInicio}"
                                  styleClass="outputTextStyleInTable">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Duración">
                    <h:outputText value="#{currentComision.duracion}"
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Duración total">
                    <h:outputText value="#{currentComision.duracionTotal}"
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Trámites">
                    <p:commandLink action="#{tramitesDeComision.consultarTramitesComision}"
                                   title="Ver trámites asociados a la comisión"
                                   immediate="true" ajax="true"
                                   onclick="tramitesComisionModal.show();statusDialog2.show();"
                                   update=":tramitesComisionForm"
                                   oncomplete="statusDialog2.hide();">
                        <h:outputText value="&nbsp;#{currentComision.tramites}&nbsp;"
                                      styleClass="commandLinkStyleInTable" />
                        <f:setPropertyActionListener
                            target="#{tramitesDeComision.selectedVComision}"
                            value="#{currentComision}"/>
                        <f:setPropertyActionListener
                            target="#{tramitesDeComision.retirarTramiteButtonRendered}"
                            value="true"/>
                    </p:commandLink>
                </p:column>


            </p:dataTable>

            <p:spacer width="0" height="30"/>

            <h:panelGrid columns="3" width="40%">
                <p:commandButton value="Crear nueva" 
                                 onstart="statusDialog2.show();"
                                 action="#{manejoComisionesTramites.crearComisionInit}"
                                 oncomplete="nuevaComisionModal.show(); statusDialog2.hide();" 
                                 icon="ui-icon-document"
                                 update=":detalleNuevaComisionForm" immediate="true"/>
                <p:spacer width="1" height="0"/>
                <p:commandButton value="Adicionar a comisión seleccionada" icon="ui-icon-plus"
                                 onclick="if (resultsCGMModalWV.selection.length === 0) {
                                             alert('Debe seleccionar una comisión a la cual adicionar el trámite!');
                                             return false;
                                         }"
                                 action="#{manejoComisionesTramites.adicionarTramitesAComision}"
                                 onsuccess="comisionTramitesDialogWV.hide()"
                                 update=":manejoComisionesTramitesForm:globalMessagesMCT,
                                 :manejoComisionesTramitesForm:focus" />
            </h:panelGrid>

        </p:panel>


        <p:spacer height="10" width="0"/>

        <p:outputPanel layout="block" style="text-align: right">
            <h:panelGrid width="100%">
                <p:commandButton value="Cerrar"
                                 icon="ui-icon-close" 
                                 onclick="this.close();"/>
            </h:panelGrid>
        </p:outputPanel>


    </h:form>


</h:panelGrid>